Bug 178718 - Errors reported during startup of Thinkpad T40 wireless card
Errors reported during startup of Thinkpad T40 wireless card
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 14:04 EST by Duncan Innes
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 08:19:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ifcfg-eth0 script (316 bytes, text/plain)
2006-02-25 06:40 EST, Duncan Innes
no flags Details
ifcfg-eth0 script (209 bytes, text/plain)
2006-02-25 06:41 EST, Duncan Innes
no flags Details
Output of ifconfig command (2.17 KB, text/plain)
2006-02-25 06:41 EST, Duncan Innes
no flags Details
Output of iwconfig command (1.78 KB, text/plain)
2006-02-25 06:42 EST, Duncan Innes
no flags Details
Output of lspci command (1.59 KB, text/plain)
2006-02-25 06:43 EST, Duncan Innes
no flags Details
/etc/sysconfig/nework (43 bytes, text/plain)
2006-02-27 06:37 EST, Duncan Innes
no flags Details

  None (edit)
Description Duncan Innes 2006-01-23 14:04:05 EST
Description of problem: When doing "services network restart" there are several
errors reported, but networking still works.  Card is an internal Cisco Aironet
card on a Thinkpad T40.


Version-Release number of selected component (if applicable):
Not sure how to get version of network services

How reproducible:
Every time I restart

Steps to Reproduce:
1. # services network restart
  
Actual results:
[root@thinkpad ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  Error for wireless request "Set Mode" (8B06) :
    SET failed on device eth0 ; Invalid argument.

Determining IP information for eth0... failed.
                                                           [FAILED]
[root@thinkpad ~]#

BUT - networking is running perfectly well.  No errors encountered when
restarting the RJ45 Gigabit Ethernet

Expected results:
Expected service to be started up without any errors.  Or expected the service
to not work due to the [FAILED] status


Additional info: 
[root@thinkpad ~]# iwconfig
lo        no wireless extensions.

dev26323  no wireless extensions.

eth0      IEEE 802.11-DS  ESSID:"DRS596T"
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:0F:B5:1B:09:A8
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:open
          Power Management:off
          Link Quality=90/100  Signal level=-50 dBm  Noise level=-97 dBm
          Rx invalid nwid:38  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:24843   Missed beacon:0

wifi0     IEEE 802.11-DS  ESSID:"DRS596T"
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:0F:B5:1B:09:A8
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:open
          Power Management:off
          Link Quality=90/100  Signal level=-50 dBm  Noise level=-97 dBm
          Rx invalid nwid:38  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:24843   Missed beacon:0

sit0      no wireless extensions.

[root@thinkpad ~]# lspci
00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW
[Radeon Mobility 7500]
02:00.0 CardBus bridge: Texas Instruments PCI1520 PC card Cardbus Controller
(rev 01)
02:00.1 CardBus bridge: Texas Instruments PCI1520 PC card Cardbus Controller
(rev 01)
02:01.0 Ethernet controller: Intel Corporation 82540EP Gigabit Ethernet
Controller (Mobile) (rev 03)
02:02.0 Network controller: AIRONET Wireless Communications Cisco Aironet
Wireless 802.11b


Oh - I don't know if it's of any importance, but I've always had the Intel
controller recognised as eth0 and the wireless as eth1 before.  Fedora Core 5
seems to want to put things the other way around for some reason.
Comment 1 Wade Mealing 2006-01-24 07:00:36 EST
Ok, here we go.. We are going to need some files..

/etc/sysconfig/hwconf

the output of the command

/usr/sbin/kudzu -p -c NETWORK

Also, just to be clear

eth0 is your wired card..
wifi0 is your expected wireless card ?
Comment 2 Duncan Innes 2006-01-24 09:30:49 EST
Right, here you go:

[root@thinkpad ~]# cat /etc/sysconfig/hwconf
-
class: OTHER
bus: PCI
detached: 0
driver: snd-intel8x0m
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Contro
ller"
vendorId: 8086
deviceId: 24c6
subVendorId: 1014
subDeviceId: 0524
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  6
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-i801
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller"
vendorId: 8086
deviceId: 24c3
subVendorId: 1014
subDeviceId: 052d
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: i8xx_tco
desc: "Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge"
vendorId: 8086
deviceId: 24cc
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
driver: hw_random
desc: "Intel Corporation 82801 Mobile PCI Bridge"
vendorId: 8086
deviceId: 2448
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82855PM Processor to AGP Controller"
vendorId: 8086
deviceId: 3341
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "IBM0057"
deviceId: IBM0057
compat: PNP0f13
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "IBM0068"
deviceId: IBM0068
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "IBM0071"
deviceId: IBM0071
compat: PNP0511
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82855PM Processor to I/O Controller"
vendorId: 8086
deviceId: 3340
subVendorId: 1014
subDeviceId: 0529
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.15-1.1869_FC5 ehci_hcd EHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 4
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.15-1.1869_FC5 ehci_hcd
usbprod: EHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.15-1.1869_FC5 uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.15-1.1869_FC5 uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.15-1.1869_FC5 uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.15-1.1869_FC5 uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.15-1.1869_FC5 uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.15-1.1869_FC5 uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0200"
deviceId: PNP0200
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0303"
deviceId: PNP0303
-
class: OTHER
bus: ISAPNP
detached: 0
driver: parport_pc
desc: "PNP0400"
deviceId: PNP0400
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0501"
deviceId: PNP0501
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0700"
deviceId: PNP0700
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0800"
deviceId: PNP0800
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0b00"
deviceId: PNP0b00
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c01"
deviceId: PNP0c01
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c04"
deviceId: PNP0c04
-
class: OTHER
bus: PSAUX
detached: 0
desc: "TPPS/2 IBM TrackPoint"
-
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: e1000
desc: "Intel Corporation 82540EP Gigabit Ethernet Controller (Mobile)"
network.hwaddr: 00:0d:60:2d:4d:50
vendorId: 8086
deviceId: 101e
subVendorId: 1014
subDeviceId: 0549
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: airo
desc: "AIRONET Wireless Communications Cisco Aironet Wireless 802.11b"
network.hwaddr: 00:02:8a:bd:31:86
vendorId: 14b9
deviceId: a504
subVendorId: 14b9
subDeviceId: 5000
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  2
pcifn:  0
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: synaptics
desc: "SynPS/2 Synaptics TouchPad"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-intel8x0
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Contro
ller"
vendorId: 8086
deviceId: 24c5
subVendorId: 1014
subDeviceId: 0537
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  5
-
class: CDROM
bus: IDE
detached: 0
device: hdc
desc: "TOSHIBA DVD-ROM SD-R9012"
-
class: VIDEO
bus: PCI
detached: 0
driver: radeonfb
desc: "ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]"
video.xdriver: ati
vendorId: 1002
deviceId: 4c57
subVendorId: 1014
subDeviceId: 0530
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: VIDEO
bus: DDC
detached: 0
desc: "ATI Technologies Inc. P7"
mem: 32704
-
class: FLOPPY
bus: MISC
detached: 1
device: fd0
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: IDE
detached: 0
device: hda
desc: "HITACHI_DK23EB-40B"
physical: 16383/16/63
logical: 65535/16/63
-
class: KEYBOARD
bus: PSAUX
detached: 0
desc: "AT Translated Set 2 keyboard"
-
class: MONITOR
bus: DDC
detached: 0
desc: "ThinkPad LCD"
id: IBM0a55
-
class: MONITOR
bus: DDC
detached: 0
desc: "ThinkPad TV"
id: PNP09fe
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller"
vendorId: 8086
deviceId: 24cd
subVendorId: 1014
subDeviceId: 052e
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  7
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controlle
r #3"
vendorId: 8086
deviceId: 24c7
subVendorId: 1014
subDeviceId: 052d
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controlle
r #2"
vendorId: 8086
deviceId: 24c4
subVendorId: 1014
subDeviceId: 052d
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controlle
r #1"
vendorId: 8086
deviceId: 24c2
subVendorId: 1014
subDeviceId: 052d
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments PCI1520 PC card Cardbus Controller"
vendorId: 104c
deviceId: ac55
subVendorId: 1014
subDeviceId: 0512
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  1
-
class: SOCKET
bus: PCI
detached: 0
driver: yenta_socket
desc: "Texas Instruments PCI1520 PC card Cardbus Controller"
vendorId: 104c
deviceId: ac55
subVendorId: 1014
subDeviceId: 0512
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  0
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
desc: "Intel Corporation 82801DBM (ICH4-M) IDE Controller"
vendorId: 8086
deviceId: 24ca
subVendorId: 1014
subDeviceId: 052d
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1
[root@thinkpad ~]# /usr/sbin/kudzu -p -c NETWORK
-
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: e1000
desc: "Intel Corporation 82540EP Gigabit Ethernet Controller (Mobile)"
network.hwaddr: 00:0d:60:2d:4d:50
vendorId: 8086
deviceId: 101e
subVendorId: 1014
subDeviceId: 0549
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  1
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: airo
desc: "AIRONET Wireless Communications Cisco Aironet Wireless 802.11b"
network.hwaddr: 00:02:8a:bd:31:86
vendorId: 14b9
deviceId: a504
subVendorId: 14b9
subDeviceId: 5000
pciType: 1
pcidom:    0
pcibus:  2
pcidev:  2
pcifn:  0
[root@thinkpad ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:02:8A:BD:31:86
          inet6 addr: fe80::202:8aff:febd:3186/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:2523 dropped:0 overruns:0 frame:2523
          TX packets:127 errors:127 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:22938 (22.4 KiB)
          Interrupt:11 Base address:0x8000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:181 errors:0 dropped:0 overruns:0 frame:0
          TX packets:181 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:20052 (19.5 KiB)  TX bytes:20052 (19.5 KiB)

[root@thinkpad ~]# iwconfig
lo        no wireless extensions.

dev9105   no wireless extensions.

eth0      IEEE 802.11-DS  ESSID:"DRS596T"
          Mode:Managed  Frequency:2.412 GHz  Access Point: FF:FF:FF:FF:FF:FF
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:open
          Power Management:off
          Link Quality=0/100  Signal level=-106 dBm  Noise level=-96 dBm
          Rx invalid nwid:378  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:161425   Missed beacon:0

wifi0     IEEE 802.11-DS  ESSID:"DRS596T"
          Mode:Managed  Frequency:2.412 GHz  Access Point: FF:FF:FF:FF:FF:FF
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:open
          Power Management:off
          Link Quality=0/100  Signal level=-106 dBm  Noise level=-96 dBm
          Rx invalid nwid:378  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:161425   Missed beacon:0

sit0      no wireless extensions.

[root@thinkpad ~]#


As you can see, the wireless card is coming up as eth0.  The wired card comes up
as eth1, but I've disabled it at the moment as I've no network to connect to.

Anything else I can do?

Duncan
Comment 3 Wade Mealing 2006-02-04 23:21:02 EST
ok.. can you open up..

/etc/sysconfig/network-scripts/ifcfg-eth0

Make sure mode is set to something like.

MODE=Managed

or

MODE=Ad-Hoc

Make sure that there is strange characters or incorrect spelling. 

Comment 4 Duncan Innes 2006-02-05 06:06:53 EST
OK, ifcfg-eth0 looks as follows:

[root@thinkpad ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
# AIRONET Wireless Communications Cisco Aironet Wireless 802.11b
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:02:8A:BD:31:86
ONBOOT=yes
DHCP_HOSTNAME=thinkpad.innes.net
IPADDR=
DOMAIN=
NETMASK=
TYPE=Wireless
ESSID=DRS596T
CHANNEL=1
MODE=Auto
RATE=Auto
USERCTL=no
IPV6INIT=no
PEERDNS=yes
[root@thinkpad ~]#

Is Auto OK?  I'll change to Managed and then Ad-Hoc to see if this helps.

The system has been fully updated to kernel 2.6.15-1.1907_FC5

Cheers

Duncan
Comment 5 Duncan Innes 2006-02-05 06:21:06 EST
A bit more investigation shows the following:

[root@thinkpad ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0 | grep MODE
MODE=Managed
[root@thinkpad ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:
Determining IP information for eth0... failed.
                                                           [FAILED]
[root@thinkpad ~]# ping www.specsavers.com
PING www.specsavers.com (213.163.204.4) 56(84) bytes of data.
64 bytes from 213.163.204.4: icmp_seq=1 ttl=245 time=43.6 ms
64 bytes from 213.163.204.4: icmp_seq=2 ttl=245 time=38.2 ms
64 bytes from 213.163.204.4: icmp_seq=3 ttl=245 time=39.9 ms

--- www.specsavers.com ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2000ms
rtt min/avg/max/mdev = 38.250/40.607/43.673/2.281 ms
[root@thinkpad ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0 | grep MODE
MODE=Ad-Hoc
[root@thinkpad ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:
Determining IP information for eth0... failed.
                                                           [FAILED]
[root@thinkpad ~]# ping www.specsavers.com
ping: unknown host www.specsavers.com
[root@thinkpad ~]# ping www.bds.tv
ping: unknown host www.bds.tv
[root@thinkpad ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0 | grep MODE
MODE=Auto
[root@thinkpad ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  Error for wireless request "Set Mode" (8B06) :
    SET failed on device eth0 ; Invalid argument.

Determining IP information for eth0... failed.
                                                           [FAILED]
[root@thinkpad ~]# ping www.bds.tv
ping: unknown host www.bds.tv
[root@thinkpad ~]# ping www.specsavers.com
ping: unknown host www.specsavers.com
[root@thinkpad ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0 | grep MODE
MODE=Managed
[root@thinkpad ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:
Determining IP information for eth0... failed.
                                                           [FAILED]
[root@thinkpad ~]# ping www.specsavers.com
PING www.specsavers.com (213.163.204.4) 56(84) bytes of data.
64 bytes from 213.163.204.4: icmp_seq=1 ttl=245 time=39.7 ms
64 bytes from 213.163.204.4: icmp_seq=2 ttl=245 time=40.3 ms
64 bytes from 213.163.204.4: icmp_seq=3 ttl=245 time=41.2 ms
64 bytes from 213.163.204.4: icmp_seq=4 ttl=245 time=40.3 ms

--- www.specsavers.com ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 2998ms
rtt min/avg/max/mdev = 39.773/40.434/41.235/0.541 ms
[root@thinkpad ~]# ping www.bds.tv
PING bds.tv (212.58.235.185) 56(84) bytes of data.

--- bds.tv ping statistics ---
7 packets transmitted, 0 received, 100% packet loss, time 6000ms

[root@thinkpad ~]# ping www.bbc.co.uk
PING www.bbc.net.uk (212.58.224.114) 56(84) bytes of data.
64 bytes from www14.thdo.bbc.co.uk (212.58.224.114): icmp_seq=1 ttl=250 time=22.5 ms
64 bytes from www14.thdo.bbc.co.uk (212.58.224.114): icmp_seq=2 ttl=250 time=22.3 ms
64 bytes from www14.thdo.bbc.co.uk (212.58.224.114): icmp_seq=3 ttl=250 time=23.2 ms
64 bytes from www14.thdo.bbc.co.uk (212.58.224.114): icmp_seq=4 ttl=250 time=23.5 ms

--- www.bbc.net.uk ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3001ms
rtt min/avg/max/mdev = 22.309/22.934/23.593/0.524 ms
[root@thinkpad ~]#

So it was working in MODE=Auto before the test began.
It then worked in MODE=Managed, but not in MODE=Ad-Hoc (makes sense as it's a
managed router connection.
After I tried Ad-Hoc and changed it back to Auto, it wouldn't work.
Changing back to MODE=Managed and everything is working again.

The messages for "service network restart" appear to be wrong for each time that
the service starts up and works however.

Anything else I can provide to help track this down?

Duncan
Comment 6 Rahul Sundaram 2006-02-20 05:40:35 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 7 Duncan Innes 2006-02-22 07:38:06 EST
Confirm that this bug has been tested with the latest yum updates and the
problem still exists.
Comment 8 Duncan Innes 2006-02-23 07:52:04 EST
Upgraded to Fedora Core 5 test 3 via downloaded DVD.

Find that the RJ45 and Wireless interfaces have now swapped round so that eth0
is wired and eth1 is wireless.

Restarting network now gives different message, but service IS still working.

[root@localhost ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down interface eth1:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth1:
Determining IP information for eth1... failed; no link present.  Check cable?
                                                           [FAILED]
[root@localhost ~]# ping fedoraforum.org
PING fedoraforum.org (70.85.88.134) 56(84) bytes of data.
64 bytes from 70.85.88.134 (70.85.88.134): icmp_seq=1 ttl=46 time=123 ms
64 bytes from 70.85.88.134 (70.85.88.134): icmp_seq=2 ttl=46 time=132 ms
64 bytes from 70.85.88.134 (70.85.88.134): icmp_seq=4 ttl=46 time=124 ms
64 bytes from 70.85.88.134 (70.85.88.134): icmp_seq=5 ttl=46 time=121 ms

--- fedoraforum.org ping statistics ---
5 packets transmitted, 4 received, 20% packet loss, time 3997ms
rtt min/avg/max/mdev = 121.676/125.419/132.488/4.182 ms

Comment 9 Duncan Innes 2006-02-25 04:54:15 EST
OK,

Had to completely re-install the laptop from scratch due to the networking
becoming completely unusable.  Have now formatted the drive and installed FC5t3
from the DVD.

eth0, eth1 and wifi0 now show up in Network Configuration, but both eth0 and
eth1 are displayed as wired interfaces.  I can configure eth1 to pick up a DHCP
address, but eth0 is missing the Wireless tab to enable me to configure it properly.

Where do I go from here?

Duncan
Comment 10 Duncan Innes 2006-02-25 06:40:32 EST
Created attachment 125236 [details]
ifcfg-eth0 script

After first boot of fresh FC5t3 install, this script was flagged as
TYPE=Ethernet so Network Configuration GUI screen couldn't configure the
wireless parts.

I changed this entry to TYPE=Wireless and was then able to configure using the
Network Configuration GUI.  Won't find an IP address via DHCP though!
Comment 11 Duncan Innes 2006-02-25 06:41:18 EST
Created attachment 125237 [details]
ifcfg-eth0 script
Comment 12 Duncan Innes 2006-02-25 06:41:50 EST
Created attachment 125238 [details]
Output of ifconfig command
Comment 13 Duncan Innes 2006-02-25 06:42:52 EST
Created attachment 125239 [details]
Output of iwconfig command
Comment 14 Duncan Innes 2006-02-25 06:43:29 EST
Created attachment 125241 [details]
Output of lspci command
Comment 15 Dan Williams 2006-02-27 02:33:18 EST
-> system-config-network since this is the sysconf scripts.
Comment 16 Duncan Innes 2006-02-27 06:37:29 EST
Created attachment 125310 [details]
/etc/sysconfig/nework

Hope this is the right file.

Did a format and re-install of FC5t3 from DVD over the weekend, but left Xen
OFF the list this time to test another bug.

The world of woe into which I had descended with the networking seems to have
vanished.

I'm now back to the stage that the network interface works.

I think the only issue I have now is that the interface fails to start up on
boot.  The message during boot is something about MAC address not being the
same.  What it is not the same as I am not sure.

Once booted and logged in, however, the interface will come up reasonably
cleanly with a `service network restart`.

I say reasonably as there are still some messeges as shown below:

Bringing up interface eth0:  Error for wireless request "Set Mode" (8B06) :
    SET failed on device eth0 ; Invalid argument.

Determining IP information for eth0... done.
							   [  OK  ]


The service status is [  OK  ] though - which is better than the failed of
before.
Comment 17 Duncan Innes 2006-02-27 06:41:20 EST
The final "new" bit of information I have at the moment is that the interface is
crashing sometimes.  Not sure exactly what it is related to, but it's only
happened when I've been rsync'ing my music and videos over the wireless.  Both
times I've been ssh'd into my desktop machine and running evolution on the
display on my laptop.  The evolution will freeze completely and the network will
be completely unresponsive.

No amount of 'service network restart' will work, and a shutdown will fail with
the screen blacked out and no status lights flashing.  I have to power down the
laptop and re-boot it to get networking running again.

I've checked it's not the router as there is one other wireless device connected
at this time without any problems.

Could there be an issue with the device after a certain amount of data has been
transferred?

Duncan
Comment 18 Harald Hoyer 2006-05-19 06:02:33 EDT
Hmm, could you open a new bug against component "kernel" and describe the
crashing? This is a kernel driver bug.
Comment 19 Duncan Innes 2006-07-19 13:30:42 EDT
I'd forgotten about this bug.

I'm currently using the laptop with great success under FC5 final.  There ARE
some niggling network issues, but not really related to this crashing.

Would it be better to close this bug as times have moved on somewhat from FC5T3?

Thanks

Duncan
Comment 20 Dave Jones 2006-10-16 13:25:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 21 Duncan Innes 2006-11-02 07:58:26 EST
Unfortunately, the only Thinkpad T40 I have has been used for FC6 testing and
now runs FC6 final.

I don't recall there being any error recently.  I still get wireless errors
after a period of use on the secured work network, but I'll submit a new bug
under FC6 if I find this necessary (not sure whether it's the WAP I'm connecting
to at the moment)

Please close the bug - I'll not put a resolution on it as I don't know how to
clasify this.  I just can't tell if it's still an issue, but I don't THINK that
it is.

Duncan Innes

Note You need to log in before you can comment on or make changes to this bug.